# phpMyAdmin SQL Dump
# version 2.5.5
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Jan 04, 2004 at 03:54 PM
# Server version: 3.23.49
# PHP Version: 4.1.2
# 
# Database : `phpemailer`
# 
#CREATE DATABASE `phpemailer`;

USE phpemailer;

# --------------------------------------------------------

#
# Table structure for table `blacklist`
#
# Creation: Jan 02, 2004 at 08:34 PM
# Last update: Jan 02, 2004 at 08:34 PM
#

CREATE TABLE `blacklist` (
  `id` bigint(20) NOT NULL auto_increment,
  `blacklisted` char(255) NOT NULL default 'noone@nowhere.com',
  PRIMARY KEY  (`id`),
  KEY `blacklisted` (`blacklisted`),
  FULLTEXT KEY `blacklisted_2` (`blacklisted`)
) TYPE=MyISAM COMMENT='black list domains and emails' AUTO_INCREMENT=1 ;

#
# COMMENTS FOR TABLE `blacklist`:
#   `blacklisted`
#       `email or domain to be black listed`
#   `id`
#       `prim key`
#

#
# Dumping data for table `blacklist`
#


# --------------------------------------------------------

#
# Table structure for table `config`
#
# Creation: Jan 02, 2004 at 06:15 PM
# Last update: Jan 02, 2004 at 06:15 PM
#

CREATE TABLE `config` (
  `id` bigint(20) NOT NULL auto_increment,
  `option` char(20) NOT NULL default 'to',
  `setting` char(255) NOT NULL default 'whytewolf@four-twenty.com',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `setting` (`setting`)
) TYPE=MyISAM COMMENT='configuration table' AUTO_INCREMENT=1 ;

#
# COMMENTS FOR TABLE `config`:
#   `id`
#       `prim key`
#   `option`
#       `option`
#   `setting`
#       `setting`
#

#
# Dumping data for table `config`
#


# --------------------------------------------------------

#
# Table structure for table `keys`
#
# Creation: Jan 02, 2004 at 08:31 PM
# Last update: Jan 02, 2004 at 08:31 PM
#

CREATE TABLE `keys` (
  `id` bigint(20) NOT NULL auto_increment,
  `template` bigint(20) default NULL,
  `name` char(20) NOT NULL default 'BLANK',
  `key` char(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`,`key`),
  FULLTEXT KEY `key` (`key`)
) TYPE=MyISAM COMMENT='template keys' AUTO_INCREMENT=1 ;

#
# COMMENTS FOR TABLE `keys`:
#   `id`
#       `prim key`
#   `key`
#       `logical key`
#   `name`
#       `key name`
#   `template`
#       `link to template null for global`
#

#
# RELATIONS FOR TABLE `keys`:
#   `template`
#       `templates` -> `id`
#

#
# Dumping data for table `keys`
#


# --------------------------------------------------------

#
# Table structure for table `templates`
#
# Creation: Jan 02, 2004 at 08:25 PM
# Last update: Jan 02, 2004 at 08:25 PM
#

CREATE TABLE `templates` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default 'DEVNULL',
  `template` text,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `template` (`template`)
) TYPE=MyISAM COMMENT='templates' AUTO_INCREMENT=1 ;

#
# COMMENTS FOR TABLE `templates`:
#   `id`
#       `prim key`
#   `name`
#       `template name`
#   `template`
#       `template`
#

#
# Dumping data for table `templates`
#


# --------------------------------------------------------

#
# Table structure for table `whitelist`
#
# Creation: Jan 02, 2004 at 08:37 PM
# Last update: Jan 02, 2004 at 08:37 PM
#

CREATE TABLE `whitelist` (
  `id` bigint(20) NOT NULL auto_increment,
  `whitelisted` char(255) NOT NULL default 'whytewolf@four-twenty.com',
  PRIMARY KEY  (`id`),
  KEY `whitelisted` (`whitelisted`),
  FULLTEXT KEY `whitelisted_2` (`whitelisted`)
) TYPE=MyISAM COMMENT='white listed emails and\\or domains' AUTO_INCREMENT=1 ;

#
# COMMENTS FOR TABLE `whitelist`:
#   `id`
#       `prim key`
#   `whitelisted`
#       `white listed domains or emails`
#

#
# Dumping data for table `whitelist`
#

